<?php
    // Parámetros que recibimos
    $comando    = (isset($_REQUEST["comando"]) ? $_REQUEST["comando"] : "");
    $parametros = (isset($_REQUEST["parametros"]) ? $_REQUEST["parametros"] : "");
    $datos      = "";

    // Inicializamos la clase
    include("php/airconfig.php");
    include("php/io.php");

    // Creamos la clase
    $io = new io;

    // Obtenemos IP y puerto
    $io->gprog    = $gprog; 
    $io->bns      = $bns;
    $io->bnsport  = $bnsport;
    $io->sesionnt = "";

    if (isset($_COOKIE["CONI"]) && isset($_COOKIE["CONP"])){
        // Como ya esta guardado en la Cookie lo recogemos  
        $io->ip       = base64_decode($_COOKIE["CONI"]);                // IP
        $io->port     = base64_decode($_COOKIE["CONP"]);                // Puerto
        $io->sesionnt = base64_decode($_COOKIE["SESN"]);                // Sesión NT
    }
    else{
        if(strlen($io->bns)!=0){
            $io->preconectar();         // Si tenemos BNS lo obtenemos del BNS
        }
        else{
            $io->ip   = $ip;            // Si no tenemos BNS lo recogemos de airconfig
            $io->port = $port;
        }

        // Guardamos en la Cookie
        setcookie("CONI",base64_encode($io->ip), time() + 30*60);        // IP
        setcookie("CONP",base64_encode($io->port), time() + 30*60);      // Puerto
        setcookie("SESN",base64_encode($io->sesionnt), time() + 30*60);  // Sesion NT    
    }

    // Creamos el socket
    if (!$io->conectar()){
        echo "QUIT";
        return;
    }

    // Si el comando es CONECT retornamos OK para indicar que ya puede empezar a enviar mensajes
    if($comando=="CONECT"){
        echo "OK";
        return;
    }

    // Verificamos si tenemos sesion
    if (isset($_COOKIE["IDVen"])){
        $session = base64_decode($_COOKIE["IDVen"]);
    }
    else{
        $session = -1;
    }

    // Enviamos #SL#    
    if (!$io->airsegur($session)){
        echo "QUIT";
        return;
    }

    // Hacemos la llamada
	$datos = $io->genchain($comando,$parametros,$session);

    // Siempre que enviamos PINI guardamos la sesion
    if($comando=="PINI"){
        // Parseamos la cadena que recibimos para guardar la sesion
        $Respuesta = base64_decode($datos);       // Decodificamos el mensaje recibido solo para guardar el IDVen
        $Respuesta = explode(" ",$Respuesta);     // Quitamos el texto HOME
        $Respuesta = explode('"',$Respuesta[1]);  // Obtenemos lo que esta entre comillas

        $Param = $Respuesta[1];
        setcookie("IDVen",base64_encode($Param), time() + 30*60);
    }

    // Si no es persistente lo cerramos
    $io->cerrar();

    // Respondemos mensaje
    echo $datos;
?>